part of wolfizutils;

class MyText extends StatelessWidget {
  final String text;
  final int fontSize;
  final Color fontClr;
  final FontWeight fontWeight;
  final FontStyle style;

  MyText({
    required this.text,
    required this.fontSize,
    required this.fontClr,
    required this.fontWeight,
    this.style = FontStyle.normal,
  });

  @override
  Widget build(BuildContext context) {
    return Text(
      text,
      style: TextStyle(
        fontSize: fontSize.sp,
        fontWeight: fontWeight,
        color: fontClr,
        fontStyle: style,
      ),
    );
  }
}
